<?php
defined( 'ABSPATH' ) || exit;

function paypal_update_sales($paypal_receiver, $total, $url_pais){
	date_default_timezone_set('America/La_Paz');

	$pp_active_id=get_option('_pp_active_id'); // recupero el ID del paypal activo que tengo guardado
	if(is_multisite()){
		$main_paypal_site = get_main_shop();
		switch_to_blog($main_paypal_site);
	}
		$lastsale = get_post_meta($pp_active_id,'_pplastsale',TRUE);

		//Actualizamos DIA _ppdaysales
		if(empty($lastsale)){
			// por inicio, lastsale estará vacío
			update_post_meta($pp_active_id,'_ppdaysales',$total);
		}else{
			if($lastsale['mday']==date('j')){ // aqui error Illegal string offset 'mday' CORREGIDO
				$monto = floatval(get_post_meta($pp_active_id,'_ppdaysales',TRUE));
				update_post_meta($pp_active_id,'_ppdaysales',$monto+$total);
			}else{
				update_post_meta($pp_active_id,'_ppdaysales',0);
			}
		}

		//Actualizamos MES _ppmonthsales
		if(empty($lastsale)){
			// por inicio, lastsale estará vacío
			update_post_meta($pp_active_id,'_ppmonthsales',$total);
		}else{
			if($lastsale['mon']==date('m')){ // aqui error Illegal string offset 'mday'
				$monto = floatval(get_post_meta($pp_active_id,'_ppmonthsales',TRUE));
				update_post_meta($pp_active_id,'_ppmonthsales',$monto+$total);
			}else{
				update_post_meta($pp_active_id,'_ppmonthsales',0);
			}
		}

		$monto = floatval(get_post_meta($pp_active_id,'_pplifetimesales',TRUE));
		update_post_meta($pp_active_id,'_pplifetimesales',$monto+$total); //aqui error A non-numeric value encountered 
		
		//monto desde que se activó. Se cerea cuando se cambia de paypal
		$monto = floatval(get_post_meta($pp_active_id,'_ppactivesales',TRUE));
		update_post_meta($pp_active_id,'_ppactivesales',$monto+$total); //aqui error A non-numeric value encountered 

		update_post_meta($pp_active_id,'_pplastsale',getdate()); //en paypals

	//update_post_meta($pp_active_id,'_depu1',$depu);
	//update_blog_option(1,$pp_active_id,'_depu1',$depu);
	
	if(is_multisite()){
		restore_current_blog();
	}
}

//////BORRAR LUEGO////////////
/*if ($GLOBALS['paypal_cpt'] = 'paypals'){ //paypal checkout
	$paypal_receiver_apiusername = str_replace("@","_api1.",$paypal_receiver[0]);
}
$args = array(
	'post_type'		=> 'paypals',
	'meta_query' => array(
		array(
			'key' => $GLOBALS['_user_email_name'],//liveApiUsername
			'value' => $paypal_receiver_apiusername,
			'compare' => '=',
		),
	)
	
);*/
//$paypals = get_posts($args); // obtener el paypal correspondiente al paypal receiver
//$paypal = $paypals[0];
//////FIN BORRAR LUEGO////////////
